/* Verwerken van alles behalve handelsdagen bepalende "AEX" */

CALL RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
CALL SysLoadFuncs

SAY
bron='AANDELEN.LST'
IF Stream(bron,'C','QUERY EXISTS')='' THEN DO
   SAY 'Fout: bestand' bron 'niet gevonden'
   EXIT
END

teller=0
DO WHILE Lines(bron)>0
   PARSE VALUE LineIn(bron) WITH 1 symbool 11 .
   symbool=Strip(symbool)
   IF symbool<>'AEX' THEN DO
      teller=teller+1
      symbool.teller=symbool
   END
END
symbool.0=teller

IF symbool.0=0 THEN DO
   SAY 'Fout: geen te verwerken symbolen gevonden'
   EXIT
END

SAY symbool.0 'te werken symbolen gevonden.'

fouten=0
DO i=1 TO symbool.0
   IF Stream(symbool.i,'C','QUERY EXISTS')='' THEN DO
      fouten=fouten+1 
      SAY 'Fout: bestand' symbool.i 'niet gevonden'
   END
END i
IF fouten>0 THEN EXIT

DO i=1 TO symbool.0
   bron=symbool.i
   teller=0
   DO WHILE Lines(bron)>0
      regel=Strip(LineIn(bron))
      IF DataType(Left(regel,1))='NUM' THEN DO 
         teller=teller+1
         PARSE VAR regel dag ';' open ';' hoog ';' laag ';' slot ';' omzet
         DO WHILE Pos(',',open,1)>0
            PARSE VAR open deel1 ',' deel2
            open=deel1||deel2
         END
         DO WHILE Pos(',',hoog,1)>0
            PARSE VAR hoog deel1 ',' deel2
            hoog=deel1||deel2
         END
         DO WHILE Pos(',',laag,1)>0
            PARSE VAR laag deel1 ',' deel2
            laag=deel1||deel2
         END
         DO WHILE Pos(',',slot,1)>0
            PARSE VAR slot deel1 ',' deel2
            slot=deel1||deel2
         END
         IF omzet='-' THEN omzet=0
         DO WHILE Pos(',',omzet,1)>0
            PARSE VAR omzet deel1 ',' deel2
            omzet=deel1||deel2
         END
         datum=Date('S',dag,'E')
         regel.teller=datum||','||open||','||hoog||','||laag||','||slot||','||omzet
      END
   END
   CALL LineOut bron
   regel.0=teller
   IF regel.0=0 THEN SAY 'Waarschuwing: geen regels in' symbool.i
   IF regel.0>0 THEN DO   
      DO j=1 TO regel.0  
         doel=Left(regel.j,4)||'.PRN'
         CALL LineOut doel,symbool.i||',D,'||regel.j
         CALL LineOut doel
      END j
   END
   CALL SysFileDelete symbool.i
END i

EXIT

